### Name: interaction.rsf
### Title: VIMP for Single or Grouped Variables
### Aliases: interaction.rsf
### Keywords: file

### ** Examples

# Example of paired-VIMP.
# Veteran data.
data(veteran, package = "randomSurvivalForest") 
v.out <- rsf(Survrsf(time,status)~., veteran, ntree = 1000, forest = TRUE)
interaction.rsf(v.out, c("karno","celltype"))$importance

## Not run: 
##D # Individual VIMP for data restricted to events only.
##D # PBC data.
##D data(pbc, package = "randomSurvivalForest") 
##D rsf.out <- rsf(Survrsf(days,status)~., pbc, ntree = 1000, forest = TRUE)
##D o.r <- rev(order(rsf.out$importance))
##D VIMP <- rsf.out$importance[o.r]
##D VIMP.events <- rep(0, length(VIMP))
##D names(VIMP.events) <- names(VIMP) 
##D events <- which(rsf.out$cens == 1)
##D VIMP.events <-
##D  interaction.rsf(rsf.out, names(VIMP), events, joint = FALSE)$importance
##D VIMP.all <- as.data.frame(cbind(VIMP.events = VIMP.events, VIMP = VIMP))
##D print(round(VIMP.all, 3))
##D # PBC data again.
##D # Monte Carlo estimates for VIMP.
##D # Bootstrap estimates for VIMP.
##D VIMP.MC <- VIMP.BOOT <- NULL
##D for (k in 1:100) {
##D VIMP.MC <-
##D  cbind(VIMP.MC, interaction.rsf(rsf.out, names(VIMP), joint = FALSE)$importance)
##D VIMP.BOOT <-
##D  cbind(VIMP.BOOT, interaction.rsf(rsf.out, names(VIMP),
##D       subset = sample(1:dim(pbc)[1], replace = TRUE), joint = FALSE)$importance)
##D }
##D VIMP.MC <- as.data.frame(cbind(VIMP.mean = apply(VIMP.MC, 1, mean),
##D                                VIMP.sd = apply(VIMP.MC, 1, sd)))
##D VIMP.BOOT <- as.data.frame(cbind(VIMP.mean = apply(VIMP.BOOT, 1, mean),
##D                                VIMP.sd = apply(VIMP.BOOT, 1, sd)))
##D rownames(VIMP.MC) <- rownames(VIMP.BOOT) <- names(VIMP)
##D print(round(VIMP.MC, 3))
##D print(round(VIMP.BOOT, 3))
## End(Not run)



